Endpoint#
Endpoint
POST https://xpluse.plus/v1/embeddingsConvert text into vector representations for semantic search, clustering, classification, and similar use cases.
Request parameters#
| Parameter | Type | Required | Description |
|---|---|---|---|
Models | string | ✅ | Embedding Model,such as openai/text-embedding-3-small |
input | string | string[] | ✅ | Text to convert, either a single item or a batch |
encoding_format | string | — | Output format:float(default) or base64 |
dimensions | number | — | Output vector dimensions (supported by some models) |
Request example#
cURL
curl https://xpluse.plus/v1/embeddings \
-H "Authorization: Bearer $DATAMIND_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "openai/text-embedding-3-small",
"input": "DataMind AI is an LLM Gateway"
}' Python
from openai import OpenAI
client = OpenAI(base_url="https://xpluse.plus/v1", api_key="<your DATAMIND_API_KEY>")
response = client.embeddings.create(
model="openai/text-embedding-3-small",
input="DataMind AI is an LLM Gateway"
)
embedding = response.data[0].embedding
print(f"Embedding dimensions: {len(embedding)}")TypeScript
const response = await client.embeddings.create({
model: 'openai/text-embedding-3-small',
input: 'DataMind AI is an LLM Gateway'
})
console.log(`Embedding dimensions: ${response.data[0].embedding.length}`)ResponseFormat#
JSON
{
"object": "list",
"data": [
{"object": "embedding", "index": 0, "embedding": [0.0023, -0.0091, 0.0156]}
],
"model": "openai/text-embedding-3-small",
"usage": {"prompt_tokens": 8, "total_tokens": 8}
}Available models#
| Model | Dimensions | Description |
|---|---|---|
openai/text-embedding-3-small | 1536 | Cost-effective |
openai/text-embedding-3-large | 3072 | Highest accuracy |
bailian/text-embedding-v4 | 1024 | Optimized for Chinese; Qwen embedding model |
Last updated on April 28, 2026